#include <bits/stdc++.h>
#include "testlib.h"
 
using namespace std;
 
int main(int argc, char *argv[]) {
    
    registerValidation(argc, argv);
    
    constexpr int ten5 = 100 * 1000;
    constexpr int ten8 = 100 * 1000 * 1000;
    
    int n = inf.readInt(1, ten5, "n");
    inf.readSpace();
    int m = inf.readInt(1, ten5, "m");
    inf.readEoln();
    
    for (int i = 0; i < n; ++i) {
        int x = inf.readInt(-ten8, ten8, "xi");
        inf.readSpace();
        int y = inf.readInt(-ten8, ten8, "yi");
        inf.readEoln();
    }
    for (int i = 0; i < m; ++i) {
        int x = inf.readInt(-ten8, ten8, "xj");
        inf.readSpace();
        int y = inf.readInt(-ten8, ten8, "yj");
        inf.readEoln();
    }
    
    inf.readEof();
}